interface SingleInfo {
  rowId: number;
  rowTitle: string;
  cells: Array<{
    cellId: number;
    title: string;
    colspan: number;
    height: number;
    textAlign: string;
    fontSize: number;
    fontStyle: string;
  }>;
}

interface CurrentCell {
  cellId: number;
  title: string;
  colspan: number;
  height: number;
  textAlign: string;
  fontSize: number;
  fontStyle: string;
}

interface OrderDetails {
  [index: string]: string | object;
  orderNo: string;
  clientName: string;
  soldDate: string;
  contactName: string;
  contactNo: string;
  deliveryAddress: string;
  addOn: string;
  boards: Array<{
    [index: string]: number | string | object;
    id: number;
    material: string;
    color: string;
    boardInfos: Array<{
      houseName: string;
      closetName: string;
      boardNo: string;
      boardName: string;
      length: number;
      width: number;
      thickness: number;
      quantity: number;
      area: number;
      mutation: string;
      shape: string;
      direction: string;
      stripe: string;
      boardAddOn: string;

      [index: string]: number | string;
    }>;
  }>;
}
interface Board {
  id: number;
  material: string;
  color: string;
  boardInfos: Array<{
    houseName: string;
    closetName: string;
    boardNo: string;
    boardName: string;
    length: number;
    width: number;
    thickness: number;
    quantity: number;
    area: number;
    mutation: string;
    shape: string;
    direction: string;
    stripe: string;
    boardAddOn: string;
    [index: string]: number | string;
  }>;
}

interface Data {
  infos: Infos;
  data: any;
  selectedRow: number;
  selectedCell: number;
  inputTitle: string;
  inputColspan: number;
  inputHeight: number;
  textAlign: string;
  fontSize: number;
  fontStyle: string;
  recordHistory: string[];
  importedData: any;
  currentCell: CurrentCell;
  banCaiHeadStartLineIndex: string;
  banCaiHeadEndLineIndex: string;
  orderTags: string[];
  banCaiHeadTags: string[];
  banCaiBodyTags: string[];
  otherTags: string[];
  designTemplate: any;
}
interface SubKeyWords {
  [index: string]: string;
  '${长度小计}': string;
  '${宽度小计}': string;
  '${厚度小计}': string;
  '${数量小计}': string;
  '${面积小计}': string;
}
interface TotalKeyWords {
  [index: string]: string;
  '${长度总计}': string;
  '${宽度总计}': string;
  '${厚度总计}': string;
  '${数量总计}': string;
  '${面积总计}': string;
}
interface TagsObject {
  [index: string]: string;
  '${订单号}': string;
  '${客户名}': string;
  '${出售日期}': string;
  '${联系人}': string;
  '${联系电话}': string;
  '${送货地址}': string;
  '${订单备注}': string;
  '${板材材料}': string;
  '${板材颜色}': string;
  '${板材房名}': string;
  '${板材柜名}': string;
  '${板材号}': string;
  '${板材名}': string;
  '${长度}': string;
  '${宽度}': string;
  '${厚度}': string;
  '${数量}': string;
  '${面积}': string;
  '${变异}': string;
  '${形状}': string;
  '${方向}': string;
  '${条纹}': string;
  '${板材备注}': string;
}

export interface Infos extends Array<SingleInfo> {}
export {
  Data,
  CurrentCell,
  OrderDetails,
  Board,
  SubKeyWords,
  TotalKeyWords,
  TagsObject,
};
